# core/exceptions.py
"""
自定义异常
"""
class TianfengTaskError(Exception):
    """天风任务模块基础异常"""
    pass

class ComponentError(TianfengTaskError):
    """组件执行异常"""
    pass

class ParameterError(ComponentError):
    """参数错误异常"""
    pass

class WorkflowError(TianfengTaskError):
    """工作流执行异常"""
    pass

class DatabaseError(TianfengTaskError):
    """数据库异常"""
    pass

class ValidationError(TianfengTaskError):
    """验证异常"""
    pass

class ApiError(TianfengTaskError):
    """API异常"""
    pass